# Managing Regions

A region is a grouping of one or more NVDIMMs, or an interleaved set, that can be divided up into one or more Namespaces. Regions are of type PMEM or BLK. See [PMEM or BLK](https://docs.pmem.io/ndctl-user-guide/v66/concepts/libnvdimm-pmem-and-blk-modes) modes for more information. Regions can only be created, destroye, and configured using the vendor specific NVDIMM utility that manages the NVDIMMs or BIOS options, if available.

## Disabling Regions

1\) List all active/enabled regions:

```
# ndctl list -R
{
  "dev":"region0",
  "size":134217728000,
  "available_size":134217728000,
  "type":"pmem",
  "numa_node":0,
  "iset_id":-7501067817058727390,
  "state":"disabled",
  "persistence_domain":"memory_controller"
}
```

A filtered list of active/enabled regions can be displayed using the `-r <region-id>` or `--region <region-id>` option, eg:

```
# ndctl list -R -r region0
- or -
# ndctl list -R -region region0
```

2\) Disable the region

```
# ndctl disable-region region0
disabled 1 region
```

3\) Verify the region is disabled by including the `-i` option:

```
# ndctl list -Ri
{
  "dev":"region0",
  "size":134217728000,
  "available_size":134217728000,
  "type":"pmem",
  "numa_node":0,
  "iset_id":-7501067817058727390,
  "state":"disabled",
  "persistence_domain":"memory_controller"
}
```

A filtered list of disabled/inactive regions can be displayed using the `-r <region-id>` or `--region <region-id>` option, eg:

```
# ndctl list -Ri -r region0
- or -
# ndctl list -Ri -region region0
```

## Enabling Regions

1\) List disabled/inactive regions

```
# ndctl list -Ri
{
  "dev":"region0",
  "size":134217728000,
  "available_size":134217728000,
  "type":"pmem",
  "numa_node":0,
  "iset_id":-7501067817058727390,
  "state":"disabled",
  "persistence_domain":"memory_controller"
}
```

A filtered list of active/enabled regions can be displayed using the `-r <region-id>` or `--region <region-id>` option, eg:

```
# ndctl list -R -r region0
- or -
# ndctl list -R -region region0
```

2\) Enable the region

```
# ndctl enable-region region0
enabled 1 region
```

3\) Verify the region is enabled using `ndctl list -R`. Note the 'state' field is not displayed for enabled regions.

```
# ndctl list -R
{
  "dev":"region0",
  "size":134217728000,
  "available_size":134217728000,
  "type":"pmem",
  "numa_node":0,
  "iset_id":-7501067817058727390,
  "persistence_domain":"memory_controller"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pmem.io/ndctl-user-guide/v66/managing-regions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
